> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a share

> Stop sharing with one person, team or the organization. Requires Write on it.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public delete /v1/sessions/{sessionId}/sharing/{shareId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/sessions/{sessionId}/sharing/{shareId}:
    delete:
      tags:
        - Sessions
      summary: Remove a share
      description: >-
        Stop sharing with one person, team or the organization. Requires Write
        on it.
      operationId: deleteSessionShare
      parameters:
        - schema:
            type: string
          in: path
          name: sessionId
          required: true
        - schema:
            type: string
          in: path
          name: shareId
          required: true
      responses:
        '200':
          description: Remove a share
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  deleted:
                    type: boolean
                    const: true
                required:
                  - id
                  - deleted
                additionalProperties: false
        '400':
          description: Validation, authorization, not-found, or conflict error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  permission:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: Validation, authorization, not-found, or conflict error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  permission:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Validation, authorization, not-found, or conflict error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  permission:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Validation, authorization, not-found, or conflict error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  permission:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
      x-codeSamples:
        - lang: typescript
          label: TypeScript SDK
          source: |
            import Tembo from '@tembo-io/sdk';

            const client = new Tembo();

            const share = await client.sessions.shares.delete('shareId', {
              sessionId: 'sessionId',
            });
        - lang: rust
          label: Rust SDK
          source: >
            use tembo_rs::*;


            let client = Tembo::from_env()?;


            let response = client.sessions().shares().delete("example",
            "example").send().await?;
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.